Name:           srecord
Version:        1.26
Release:        1%{?dist}
Summary:        Manipulate EPROM load files

Group:          Development/Tools
License:        GPL
URL:            http://srecord.sourceforge.net/
Source:         http://srecord.sourceforge.net/srecord-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  diffutils, sharutils, groff

%description
The SRecord package is a collection of powerful tools for manipulating
EPROM load files.

* The SRecord package understands a number of file formats: Motorola
  S-Record, Intel, Tektronix, Binary.  These file formats may be read
  and written.  Also C array definitions, for output only.

* The SRecord package has a number of tools: srec_cat for copying and
  and converting files, srec_cmp for comparing files and srec_info for
  printing summaries.

* The SRecord package has a number for filters: checksum to add checksums
  to the data, crop to keep address ranges, exclude to remove address
  ranges, fill to plug holes in the data, length to insert the data
  length, maximum to insert the data address maximum, minimum to insert
  the data address minimum, offset to adjust addresses, and split for
  wide data buses and memory striping.

More than one filter may be applied to each input file.  Different filters
may be applied to each input file.  All filters may be applied to all
file formats.


%prep
%setup -q

%build
%configure
# Fails to build in SMP machines using "make %{?_smp_mflags}"
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%check
# Test scripts requirements: cmp, diff, uudecode
make sure

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root,-)
%doc LICENSE BUILDING README
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*


%changelog
* Tue Jun 20 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.26-1
- Update to 1.26.

* Wed Mar  8 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.24-1
- Update to 1.24.

* Wed Feb 15 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.23-2
- Rebuild.

* Fri Sep 23 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.23-1
- Update to 1.23.

* Thu Sep 15 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.22-2
- Updated the source tarball (PATCHLEVEL "1.22.D002").
  The author repackages updates without changing the tarball version (ARGH!).

* Mon Sep 12 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.22-1
- Update to 1.22.

* Sun Aug  7 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.21-1
- Version 1.21.
